﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Util.Converter;
@using System.Text;
@using Toyota.Common.Web.Upload;
@using Toyota.Common.Util.Text;
@model FileUploadSettings

@using (Html.BeginForm("_ajax_FileUploadPartial", (string)ViewBag.ScreenId, FormMethod.Post, new { settings = JSON.ToString<FileUploadSettings>(Model) }))
{
    <table width="@Model.Width.ToString()" style="position: relative;">
        <tr>
            <td style="width: 85%;">                                        
                @Html.DevExpress().UploadControl(
                    settings =>
                    {
                        settings.Name = Model.Name;
                        settings.Width = Unit.Percentage(100);

                        FileUploadCategory category = new FileUploadCategory()
                        {
                            Group = Model.Category.Group,
                            Key = Model.Category.Key,
                            Qualifier = Model.Category.Qualifier
                        };
                        settings.CallbackRouteValues = new { Controller = ViewBag.ScreenId, Action = "_ajax_FileUpload", id = settings.Name, category = JSON.ToString<FileUploadCategory>(category) };
                        if (!string.IsNullOrEmpty(Model.ClientSideEvents.FileUploadComplete))
                        {
                            settings.ClientSideEvents.FileUploadComplete = Model.ClientSideEvents.FileUploadComplete;
                        }
                        if (!string.IsNullOrEmpty(Model.ClientSideEvents.TextChanged))
                        {
                            settings.ClientSideEvents.TextChanged = Model.ClientSideEvents.TextChanged;
                        }
                    }
                ).GetHtml()
            </td>
            <td>
                @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = Model.Name + "_UploadTrigger";
                        settings.Text = "Upload";
                        //settings.Images.Image.Url = Url.Content("~/Content/Images/Common/Network-Upload-16.png");

                        StringBuilder script = new StringBuilder();
                        script.AppendLine("function(s,e) { ");
                        if (!Model.ManualUploadTrigger)
                        {

                            if (!string.IsNullOrEmpty(Model.ClientSideEvents.BeforeUpload))
                            {
                                script.AppendLine(string.Format("({0})();", Model.ClientSideEvents.BeforeUpload));
                            }
                            script.AppendLine(" " + Model.Name + ".Upload();");
                        }
                        else
                        {
                            script.AppendLine(string.Format("({0})();", Model.ClientSideEvents.UploadRequested));
                        }
                        script.AppendLine("}");
                        settings.ClientSideEvents.Click = script.ToString();
                    }
                ).GetHtml()  
            </td>
        </tr>
    </table>
}